<!DOCTYPE html>
<html lang="en">
<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Document</title>
   <link href="css/ejercicio.css" rel="stylesheet"/>
</head>
<body>
   <div>

      <div class="row">
         <div class="box" data-val="caja1">
            Sandwich 1<br/>$4.000
         </div>
         <div class="box" data-val="caja2">
            Sandwich 2<br/>$4.200
         </div>
         <div class="box" data-val="caja3">
            Sandwich 3<br/>$3.800
         </div>
      </div><!-- /row-->

      <div class="row">
         <div class="box-delivery">
            <div class="box-small" data-val="local">Local</div>
            <div class="box-small" data-val="domicilio">Delivery</div>
         </div>
      </div><!-- /box-delivery-->

      <div class="row">
         <div class="box-resultado">
            <div><strong>Precio:</strong><span id="precio"></span></div>
            <div><strong>Envío a domicilio:</strong><span id="envio"></span></div>
         </div>
      </div>

   </div><!-- /contenedor-->

   <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
   <script>
      $('.box').click(function(){
         //resetar precio y envio
         $('#precio').html("");
         $('#envio').html("");

         $('.box-small').removeClass('box-small-active');
         $('.box-resultado').hide();

         if($(this).hasClass('box-active')){
            $('.box').removeClass('box-active');
            $(this).addClass('box-active');
         }else{
            $('.box').removeClass('box-active');
            $(this).removeClass('box-active');
         }
         $(this).toggleClass('box-active');

         if($(this).hasClass('box-active')){
            $('.box-delivery').show();
         }else{
            $('.box-delivery').hide();
         }
      });

      $('.box-small').click(function(){
         if($(this).hasClass('box-small-active')){
            $('.box-small').removeClass('box-small-active');
            $(this).addClass('box-small-active');
         }else{
            $('.box-small').removeClass('box-small-active');
            $(this).removeClass('box-small-active');
         }
         $(this).toggleClass('box-small-active');

         if($(this).hasClass('box-small-active')){
            $('.box-resultado').show();
         }else{
            $('.box-resultado').hide();
         }

         //precio
         var precio = 0;
         var seleccionado = $('.box-active').attr('data-val');
         var envio = $(this).attr('data-val');
         switch(seleccionado){
            case 'caja1':
               precio = 4000;
               break;
            case 'caja2':
               precio = 4200;
               break;
            case 'caja3':
               precio = 3800;
               break;
         }
         if(envio=="domicilio"){
            precio = precio+1000;
         }
         $('#precio').html(precio);
         $('#envio').html(envio);
      });
   </script>
</body>
</html>
